lp:ubuntu/precise-updates/quassel

Created by Ubuntu Package Importer on 2014-01-20 and last modified on 2014-11-04
Get this branch:
bzr branch lp:ubuntu/precise-updates/quassel
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Mature

Recent revisions

89. By Felix Geyer on 2014-11-04

* SECURITY UPDATE: out-of-bounds read in ECB Blowfish decryption
  - debian/patches/CVE-2014-8483.patch: backport upstream patch
  - CVE-2014-8483
  - LP: #1388333

88. By Felix Geyer on 2014-01-16

* SECURITY UPDATE: clients can access backlogs belonging to other users
  - debian/patches/CVE-2013-6404.patch: add upstream patch
  - CVE-2013-6404
  - LP: #1255362

87. By Scott Kitterman on 2012-03-20

* New upstream release
* Add debian/patches/0001-Support-intermediate-CA-certificates.patch and
  0002-Allow-the-core-to-use-expired-certificates.patch from Felix Geyer to
  correct issues with SSL integration

86. By Felix Geyer on 2012-03-11

* Build-depend on dh-apparmor. (LP: #948481)
* Append $CPPFLAGS to $CXXFLAGS.
* Use pkg-info.mk instead of parsing the upstream version manually.
* Drop ancient Conflicts and Replaces.
* Bump Standards-Version to 3.9.3, no changes needed.
* Switch AppArmor profile to enforce mode.
* Don't pass -DCMAKE_BUILD_TYPE=Debugfull to cmake anymore. We want the
  default build type RelWithDebugInfo.
* Add an ufw application profile.
* Use dh_install --sourcedir instead of specifying absolute paths in the
  install files.

85. By Scott Kitterman on 2012-02-21

New update release candidate

84. By Scott Kitterman on 2012-02-14

* New upstream beta release
  - Update quasselcore man page for new oidentd option

83. By Felix Geyer on 2011-12-16

* Enable hardening options pie and bindnow.
* Drop the quasselcore-makecert manpage since we no longer provide
  that script.
* Add an AppArmor profile for quasselcore in complain mode.

82. By Felix Geyer on 2011-09-19

Fix bug in quassel-core preinst script that caused upgrade commands to
be run on new installations. (LP: #853841)

81. By Felix Geyer on 2011-09-12

* Set permissions of /var/lib/quassel and /var/log/quassel to 750.
  (LP: #846922)
* Set permissions of /var/lib/quassel/quasselCert.pem to 640.
* Update home dir of quasselcore user and stop the daemon before doing so.
* Drop quasselcore-makecert script since it's completely broken since at
  least lucid and there is no need to update the self-signed certificate.
* Drop README.source since the package has been converted to the 3.0 (quilt)
  format.
* Update watch file so it only matches real version numbers.
* Bump Standards-Version to 3.9.2, no changes needed.
* Use kde debhelper buildsystem instead of calling the kubuntu l10n scripts
  manually.
* Fix typo in quasselcore init script so it waits 5 seconds before checking
  if quasselcore started successfully. (LP: #777191)

80. By Scott Kitterman on 2011-09-08

* New upstream bufix release
  - Fix for quasselcore DoS from specially crafted CTCP requests
  - Translation updates

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/trusty/quassel
This branch contains Public information 
Everyone can see this information.

Subscribers